Subject: Re: [wpan-next v2 08/27] net: ieee802154: Drop symbol duration settings when the core does it already

From: Miquel Raynal <[email-masked]>
Date: Tue, 18 Jan 2022 11:38:33 +0100

Hi Alexander,

> > > btw:
> > > Also for testing with hwsim and the missing features which currently
> > > exist. Can we implement some user space test program which replies
> > > (active scan) or sends periodically something out via AF_PACKET raw
> > > and a monitor interface that should work to test if it is working?  
> >
> > We already have all this handled, no need for extra software. You can
> > test active and passive scans between two hwsim devices already:
> >
> > # iwpan dev wpan0 beacons send interval 15
> > # iwpan dev wpan1 scan type active duration 1
> > # iwpan dev wpan0 beacons stop
> >
> > or
> >
> > # iwpan dev wpan0 beacons send interval 1
> > # iwpan dev wpan1 scan type passive duration 2
> > # iwpan dev wpan0 beacons stop
> >  
> > > Ideally we could do that very easily with scapy (not sure about their
> > > _upstream_ 802.15.4 support). I hope I got that right that there is
> > > still something missing but we could fake it in such a way (just for
> > > hwsim testing).  
> >
> > I hope the above will match your expectations.
> >  
> 
> I need to think and read more about... in my mind is currently the
> following question: are not coordinators broadcasting that information
> only? Means, isn't that a job for a coordinator?

My understanding right now:
- The spec states that coordinators only can send beacons and perform
  scans.
- I don't yet have the necessary infrastructure to give coordinators
  more rights than regular devices or RFDs (but 40+ patches already,
  don't worry this is something we have in mind)
- Right now this is the user to decide whether a device might answer
  beacon requests or not. This will soon become more limited but it
  greatly simplifies the logic for now.

Thanks,
Miquèl